import{s as xi,n as _i,o as gi}from"../chunks/scheduler.0219f8bd.js";import{S as Hi,i as Li,g as d,s as o,r as n,A as Ci,h as s,f as l,c as r,j as u,u as p,x as c,k as a,y as Mi,a as i,v as f,d as m,t as h,w as b}from"../chunks/index.f61edf3b.js";import{H as v,E as Ai}from"../chunks/EditOnGithub.48fa589f.js";function Pi(jl){let y,Ie,Oe,Ke,T,Ne,$,ze,x,El="Core utility functions/classes for Transformers.js.",qe,_,Rl=`These are only used internally, meaning an end-user shouldn’t
need to access anything here.`,Se,g,Dl='<li><a href="#module_utils/core">utils/core</a><ul><li><em>static</em><ul><li><a href="#module_utils/core.reverseDictionary"><code>.reverseDictionary(data)</code></a> ⇒ <code>Object</code></li> <li><a href="#module_utils/core.escapeRegExp"><code>.escapeRegExp(string)</code></a> ⇒ <code>string</code></li> <li><a href="#module_utils/core.isTypedArray"><code>.isTypedArray(val)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.isIntegralNumber"><code>.isIntegralNumber(x)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.isNullishDimension"><code>.isNullishDimension(x)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.calculateDimensions"><code>.calculateDimensions(arr)</code></a> ⇒ <code>Array.&lt;number&gt;</code></li> <li><a href="#module_utils/core.pop"><code>.pop(obj, key, defaultValue)</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/core.mergeArrays"><code>.mergeArrays(arrs)</code></a> ⇒ <code>Array</code></li> <li><a href="#module_utils/core.calculateReflectOffset"><code>.calculateReflectOffset(i, w)</code></a> ⇒ <code>number</code></li> <li><a href="#module_utils/core.pick"><code>.pick(o, props)</code></a> ⇒ <code>Object</code></li> <li><a href="#module_utils/core.len"><code>.len(s)</code></a> ⇒ <code>number</code></li></ul></li> <li><em>inner</em><ul><li><a href="#module_utils/core..ProgressInfo"><code>~ProgressInfo</code></a> : <code>Object</code></li> <li><a href="#module_utils/core..ProgressCallback"><code>~ProgressCallback</code></a> ⇒ <code>void</code></li></ul></li></ul></li>',Ve,Ue,Ge,H,Fe,L,Je,C,Ol="Reverses the keys and values of an object.",Qe,M,Bl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Object</code> - The reversed object.<br/> <strong>See</strong>: <a href="https://ultimatecourses.com/blog/reverse-object-keys-and-values-in-javascript" rel="nofollow">https://ultimatecourses.com/blog/reverse-object-keys-and-values-in-javascript</a>',We,A,Il="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>Object</code></td><td><p>The object to reverse.</p></td></tr></tbody>",Xe,Ye,Ze,P,et,w,tt,k,Kl="Escapes regular expression special characters from a string by replacing them with their escaped counterparts.",lt,j,Nl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>string</code> - The escaped string.',it,E,zl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>string</td><td><code>string</code></td><td><p>The string to escape.</p></td></tr></tbody>",ot,rt,dt,R,st,D,ct,O,ql="Check if a value is a typed array.",at,B,Sl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a <code>TypedArray</code>, false otherwise.',ut,I,Vl='Adapted from <a href="https://stackoverflow.com/a/71091338/13989043" rel="nofollow">https://stackoverflow.com/a/71091338/13989043</a>',nt,K,Ul="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>val</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",pt,ft,mt,N,ht,z,bt,q,Gl="Check if a value is an integer.",vt,S,Fl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a string, false otherwise.',yt,V,Jl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>x</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",Tt,$t,xt,U,_t,G,gt,F,Ql="Determine if a provided width or height is nullish.",Ht,J,Wl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is <code>null</code>, <code>undefined</code> or <code>-1</code>, false otherwise.',Lt,Q,Xl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>x</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",Ct,Mt,At,W,Pt,X,wt,Y,Yl="Calculates the dimensions of a nested array.",kt,Z,Zl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Array.&lt;number&gt;</code> - An array containing the dimensions of the input array.',jt,ee,ei="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arr</td><td><code>Array.&lt;any&gt;</code></td><td><p>The nested array to calculate dimensions for.</p></td></tr></tbody>",Et,Rt,Dt,te,Ot,le,Bt,ie,ti="Replicate python’s .pop() method for objects.",It,oe,li='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>*</code> - The value of the popped key.<br/> <strong>Throws</strong>:',Kt,re,ii="<li><code>Error</code> If the key does not exist and no default value is provided.</li>",Nt,de,oi="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>obj</td><td><code>Object</code></td><td><p>The object to pop from.</p></td> </tr><tr><td>key</td><td><code>string</code></td><td><p>The key to pop.</p></td> </tr><tr><td>defaultValue</td><td><code>*</code></td><td><p>The default value to return if the key does not exist.</p></td></tr></tbody>",zt,qt,St,se,Vt,ce,Ut,ae,ri=`Efficiently merge arrays, creating a new copy.
Adapted from <a href="https://stackoverflow.com/a/6768642/13989043" rel="nofollow">https://stackoverflow.com/a/6768642/13989043</a>`,Gt,ue,di='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Array</code> - The merged array.',Ft,ne,si="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arrs</td><td><code>Array.&lt;Array&gt;</code></td><td><p>Arrays to merge.</p></td></tr></tbody>",Jt,Qt,Wt,pe,Xt,fe,Yt,me,ci="Calculates the index offset for a given index and window size.",Zt,he,ai='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>number</code> - The index offset.',el,be,ui="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>i</td><td><code>number</code></td><td><p>The index.</p></td> </tr><tr><td>w</td><td><code>number</code></td><td><p>The window size.</p></td></tr></tbody>",tl,ll,il,ve,ol,ye,rl,Te,ni='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a>',dl,$e,pi="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>o</td><td><code>Object</code></td> </tr><tr><td>props</td><td><code>Array.&lt;string&gt;</code></td></tr></tbody>",sl,cl,al,xe,ul,_e,nl,ge,fi=`Calculate the length of a string, taking multi-byte characters into account.
This mimics the behavior of Python’s <code>len</code> function.`,pl,He,mi='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>number</code> - The length of the string.',fl,Le,hi="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>s</td><td><code>string</code></td><td><p>The string to calculate the length of.</p></td></tr></tbody>",ml,hl,bl,Ce,vl,Me,yl,Ae,bi='<strong>Kind</strong>: inner typedef of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Properties</strong>',Tl,Pe,vi="<thead><tr><th>Name</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>status</td><td><code>&#39;initiate&#39;</code> | <code>&#39;download&#39;</code> | <code>&#39;progress&#39;</code> | <code>&#39;done&#39;</code></td><td><p>The status of the progress item.</p></td> </tr><tr><td>name</td><td><code>string</code></td><td><p>This can be either:</p> <ul><li>a string, the <em>model id</em> of a model repo on huggingface.co.</li> <li>a path to a <em>directory</em> potentially containing the file.</li></ul></td> </tr><tr><td>file</td><td><code>string</code></td><td><p>The name of the file</p></td> </tr><tr><td>[progress]</td><td><code>number</code></td><td><p>A number between 0 and 100. Only available for the &#39;progress&#39; status.</p></td> </tr><tr><td>[loaded]</td><td><code>number</code></td><td><p>The number of bytes loaded. Only available for the &#39;progress&#39; status.</p></td> </tr><tr><td>[total]</td><td><code>number</code></td><td><p>The total number of bytes to be loaded. Only available for the &#39;progress&#39; status.</p></td></tr></tbody>",$l,xl,_l,we,gl,ke,Hl,je,yi="A callback function that is called with progress information.",Ll,Ee,Ti='<strong>Kind</strong>: inner typedef of <a href="#module_utils/core"><code>utils/core</code></a>',Cl,Re,$i="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>progressInfo</td><td><code>ProgressInfo</code></td></tr></tbody>",Ml,Al,Pl,De,wl,Be,kl;return $=new v({props:{title:"utils/core",local:"utilscore",headingTag:"h1"}}),L=new v({props:{title:"utils/core.reverseDictionary(data) ⇒ <code> Object </code>",local:"utilscorereversedictionarydata--code-object-code",headingTag:"h2"}}),w=new v({props:{title:"utils/core.escapeRegExp(string) ⇒ <code> string </code>",local:"utilscoreescaperegexpstring--code-string-code",headingTag:"h2"}}),D=new v({props:{title:"utils/core.isTypedArray(val) ⇒ <code> boolean </code>",local:"utilscoreistypedarrayval--code-boolean-code",headingTag:"h2"}}),z=new v({props:{title:"utils/core.isIntegralNumber(x) ⇒ <code> boolean </code>",local:"utilscoreisintegralnumberx--code-boolean-code",headingTag:"h2"}}),G=new v({props:{title:"utils/core.isNullishDimension(x) ⇒ <code> boolean </code>",local:"utilscoreisnullishdimensionx--code-boolean-code",headingTag:"h2"}}),X=new v({props:{title:"utils/core.calculateDimensions(arr) ⇒ <code> Array. < number > </code>",local:"utilscorecalculatedimensionsarr--code-array--number--code",headingTag:"h2"}}),le=new v({props:{title:"utils/core.pop(obj, key, defaultValue) ⇒ <code> * </code>",local:"utilscorepopobj-key-defaultvalue--code--code",headingTag:"h2"}}),ce=new v({props:{title:"utils/core.mergeArrays(arrs) ⇒ <code> Array </code>",local:"utilscoremergearraysarrs--code-array-code",headingTag:"h2"}}),fe=new v({props:{title:"utils/core.calculateReflectOffset(i, w) ⇒ <code> number </code>",local:"utilscorecalculatereflectoffseti-w--code-number-code",headingTag:"h2"}}),ye=new v({props:{title:"utils/core.pick(o, props) ⇒ <code> Object </code>",local:"utilscorepicko-props--code-object-code",headingTag:"h2"}}),_e=new v({props:{title:"utils/core.len(s) ⇒ <code> number </code>",local:"utilscorelens--code-number-code",headingTag:"h2"}}),Me=new v({props:{title:"utils/core~ProgressInfo : <code> Object </code>",local:"utilscoreprogressinfo--code-object-code",headingTag:"h2"}}),ke=new v({props:{title:"utils/core~ProgressCallback ⇒ <code> void </code>",local:"utilscoreprogresscallback--code-void-code",headingTag:"h2"}}),De=new Ai({props:{source:"https://github.com/huggingface/transformers.js/blob/main/docs/source/api/utils/core.md"}}),{c(){y=d("meta"),Ie=o(),Oe=d("p"),Ke=o(),T=d("a"),Ne=o(),n($.$$.fragment),ze=o(),x=d("p"),x.textContent=El,qe=o(),_=d("p"),_.textContent=Rl,Se=o(),g=d("ul"),g.innerHTML=Dl,Ve=o(),Ue=d("hr"),Ge=o(),H=d("a"),Fe=o(),n(L.$$.fragment),Je=o(),C=d("p"),C.textContent=Ol,Qe=o(),M=d("p"),M.innerHTML=Bl,We=o(),A=d("table"),A.innerHTML=Il,Xe=o(),Ye=d("hr"),Ze=o(),P=d("a"),et=o(),n(w.$$.fragment),tt=o(),k=d("p"),k.textContent=Kl,lt=o(),j=d("p"),j.innerHTML=Nl,it=o(),E=d("table"),E.innerHTML=zl,ot=o(),rt=d("hr"),dt=o(),R=d("a"),st=o(),n(D.$$.fragment),ct=o(),O=d("p"),O.textContent=ql,at=o(),B=d("p"),B.innerHTML=Sl,ut=o(),I=d("p"),I.innerHTML=Vl,nt=o(),K=d("table"),K.innerHTML=Ul,pt=o(),ft=d("hr"),mt=o(),N=d("a"),ht=o(),n(z.$$.fragment),bt=o(),q=d("p"),q.textContent=Gl,vt=o(),S=d("p"),S.innerHTML=Fl,yt=o(),V=d("table"),V.innerHTML=Jl,Tt=o(),$t=d("hr"),xt=o(),U=d("a"),_t=o(),n(G.$$.fragment),gt=o(),F=d("p"),F.textContent=Ql,Ht=o(),J=d("p"),J.innerHTML=Wl,Lt=o(),Q=d("table"),Q.innerHTML=Xl,Ct=o(),Mt=d("hr"),At=o(),W=d("a"),Pt=o(),n(X.$$.fragment),wt=o(),Y=d("p"),Y.textContent=Yl,kt=o(),Z=d("p"),Z.innerHTML=Zl,jt=o(),ee=d("table"),ee.innerHTML=ei,Et=o(),Rt=d("hr"),Dt=o(),te=d("a"),Ot=o(),n(le.$$.fragment),Bt=o(),ie=d("p"),ie.textContent=ti,It=o(),oe=d("p"),oe.innerHTML=li,Kt=o(),re=d("ul"),re.innerHTML=ii,Nt=o(),de=d("table"),de.innerHTML=oi,zt=o(),qt=d("hr"),St=o(),se=d("a"),Vt=o(),n(ce.$$.fragment),Ut=o(),ae=d("p"),ae.innerHTML=ri,Gt=o(),ue=d("p"),ue.innerHTML=di,Ft=o(),ne=d("table"),ne.innerHTML=si,Jt=o(),Qt=d("hr"),Wt=o(),pe=d("a"),Xt=o(),n(fe.$$.fragment),Yt=o(),me=d("p"),me.textContent=ci,Zt=o(),he=d("p"),he.innerHTML=ai,el=o(),be=d("table"),be.innerHTML=ui,tl=o(),ll=d("hr"),il=o(),ve=d("a"),ol=o(),n(ye.$$.fragment),rl=o(),Te=d("p"),Te.innerHTML=ni,dl=o(),$e=d("table"),$e.innerHTML=pi,sl=o(),cl=d("hr"),al=o(),xe=d("a"),ul=o(),n(_e.$$.fragment),nl=o(),ge=d("p"),ge.innerHTML=fi,pl=o(),He=d("p"),He.innerHTML=mi,fl=o(),Le=d("table"),Le.innerHTML=hi,ml=o(),hl=d("hr"),bl=o(),Ce=d("a"),vl=o(),n(Me.$$.fragment),yl=o(),Ae=d("p"),Ae.innerHTML=bi,Tl=o(),Pe=d("table"),Pe.innerHTML=vi,$l=o(),xl=d("hr"),_l=o(),we=d("a"),gl=o(),n(ke.$$.fragment),Hl=o(),je=d("p"),je.textContent=yi,Ll=o(),Ee=d("p"),Ee.innerHTML=Ti,Cl=o(),Re=d("table"),Re.innerHTML=$i,Ml=o(),Al=d("hr"),Pl=o(),n(De.$$.fragment),wl=o(),Be=d("p"),this.h()},l(e){const t=Ci("svelte-u9bgzb",document.head);y=s(t,"META",{name:!0,content:!0}),t.forEach(l),Ie=r(e),Oe=s(e,"P",{}),u(Oe).forEach(l),Ke=r(e),T=s(e,"A",{id:!0,class:!0}),u(T).forEach(l),Ne=r(e),p($.$$.fragment,e),ze=r(e),x=s(e,"P",{"data-svelte-h":!0}),c(x)!=="svelte-u71mwf"&&(x.textContent=El),qe=r(e),_=s(e,"P",{"data-svelte-h":!0}),c(_)!=="svelte-1r3ntfo"&&(_.textContent=Rl),Se=r(e),g=s(e,"UL",{"data-svelte-h":!0}),c(g)!=="svelte-11llj5b"&&(g.innerHTML=Dl),Ve=r(e),Ue=s(e,"HR",{}),Ge=r(e),H=s(e,"A",{id:!0,class:!0}),u(H).forEach(l),Fe=r(e),p(L.$$.fragment,e),Je=r(e),C=s(e,"P",{"data-svelte-h":!0}),c(C)!=="svelte-dvlmk2"&&(C.textContent=Ol),Qe=r(e),M=s(e,"P",{"data-svelte-h":!0}),c(M)!=="svelte-14f6o7p"&&(M.innerHTML=Bl),We=r(e),A=s(e,"TABLE",{"data-svelte-h":!0}),c(A)!=="svelte-8if77n"&&(A.innerHTML=Il),Xe=r(e),Ye=s(e,"HR",{}),Ze=r(e),P=s(e,"A",{id:!0,class:!0}),u(P).forEach(l),et=r(e),p(w.$$.fragment,e),tt=r(e),k=s(e,"P",{"data-svelte-h":!0}),c(k)!=="svelte-14ro5y0"&&(k.textContent=Kl),lt=r(e),j=s(e,"P",{"data-svelte-h":!0}),c(j)!=="svelte-nstyrr"&&(j.innerHTML=Nl),it=r(e),E=s(e,"TABLE",{"data-svelte-h":!0}),c(E)!=="svelte-1h5d263"&&(E.innerHTML=zl),ot=r(e),rt=s(e,"HR",{}),dt=r(e),R=s(e,"A",{id:!0,class:!0}),u(R).forEach(l),st=r(e),p(D.$$.fragment,e),ct=r(e),O=s(e,"P",{"data-svelte-h":!0}),c(O)!=="svelte-1oclrgb"&&(O.textContent=ql),at=r(e),B=s(e,"P",{"data-svelte-h":!0}),c(B)!=="svelte-1uuf78s"&&(B.innerHTML=Sl),ut=r(e),I=s(e,"P",{"data-svelte-h":!0}),c(I)!=="svelte-pr567i"&&(I.innerHTML=Vl),nt=r(e),K=s(e,"TABLE",{"data-svelte-h":!0}),c(K)!=="svelte-cdg32t"&&(K.innerHTML=Ul),pt=r(e),ft=s(e,"HR",{}),mt=r(e),N=s(e,"A",{id:!0,class:!0}),u(N).forEach(l),ht=r(e),p(z.$$.fragment,e),bt=r(e),q=s(e,"P",{"data-svelte-h":!0}),c(q)!=="svelte-1ityjuy"&&(q.textContent=Gl),vt=r(e),S=s(e,"P",{"data-svelte-h":!0}),c(S)!=="svelte-1n9m385"&&(S.innerHTML=Fl),yt=r(e),V=s(e,"TABLE",{"data-svelte-h":!0}),c(V)!=="svelte-6n2d7i"&&(V.innerHTML=Jl),Tt=r(e),$t=s(e,"HR",{}),xt=r(e),U=s(e,"A",{id:!0,class:!0}),u(U).forEach(l),_t=r(e),p(G.$$.fragment,e),gt=r(e),F=s(e,"P",{"data-svelte-h":!0}),c(F)!=="svelte-1j46lct"&&(F.textContent=Ql),Ht=r(e),J=s(e,"P",{"data-svelte-h":!0}),c(J)!=="svelte-7bsiqc"&&(J.innerHTML=Wl),Lt=r(e),Q=s(e,"TABLE",{"data-svelte-h":!0}),c(Q)!=="svelte-6n2d7i"&&(Q.innerHTML=Xl),Ct=r(e),Mt=s(e,"HR",{}),At=r(e),W=s(e,"A",{id:!0,class:!0}),u(W).forEach(l),Pt=r(e),p(X.$$.fragment,e),wt=r(e),Y=s(e,"P",{"data-svelte-h":!0}),c(Y)!=="svelte-1p78ixx"&&(Y.textContent=Yl),kt=r(e),Z=s(e,"P",{"data-svelte-h":!0}),c(Z)!=="svelte-15dw4oc"&&(Z.innerHTML=Zl),jt=r(e),ee=s(e,"TABLE",{"data-svelte-h":!0}),c(ee)!=="svelte-1bdqiim"&&(ee.innerHTML=ei),Et=r(e),Rt=s(e,"HR",{}),Dt=r(e),te=s(e,"A",{id:!0,class:!0}),u(te).forEach(l),Ot=r(e),p(le.$$.fragment,e),Bt=r(e),ie=s(e,"P",{"data-svelte-h":!0}),c(ie)!=="svelte-1m1a0x7"&&(ie.textContent=ti),It=r(e),oe=s(e,"P",{"data-svelte-h":!0}),c(oe)!=="svelte-1dwq64m"&&(oe.innerHTML=li),Kt=r(e),re=s(e,"UL",{"data-svelte-h":!0}),c(re)!=="svelte-n4a723"&&(re.innerHTML=ii),Nt=r(e),de=s(e,"TABLE",{"data-svelte-h":!0}),c(de)!=="svelte-j5xxk1"&&(de.innerHTML=oi),zt=r(e),qt=s(e,"HR",{}),St=r(e),se=s(e,"A",{id:!0,class:!0}),u(se).forEach(l),Vt=r(e),p(ce.$$.fragment,e),Ut=r(e),ae=s(e,"P",{"data-svelte-h":!0}),c(ae)!=="svelte-kvbp1p"&&(ae.innerHTML=ri),Gt=r(e),ue=s(e,"P",{"data-svelte-h":!0}),c(ue)!=="svelte-1ydcymw"&&(ue.innerHTML=di),Ft=r(e),ne=s(e,"TABLE",{"data-svelte-h":!0}),c(ne)!=="svelte-stz7tp"&&(ne.innerHTML=si),Jt=r(e),Qt=s(e,"HR",{}),Wt=r(e),pe=s(e,"A",{id:!0,class:!0}),u(pe).forEach(l),Xt=r(e),p(fe.$$.fragment,e),Yt=r(e),me=s(e,"P",{"data-svelte-h":!0}),c(me)!=="svelte-1m1ncmy"&&(me.textContent=ci),Zt=r(e),he=s(e,"P",{"data-svelte-h":!0}),c(he)!=="svelte-vsw9ui"&&(he.innerHTML=ai),el=r(e),be=s(e,"TABLE",{"data-svelte-h":!0}),c(be)!=="svelte-xzg366"&&(be.innerHTML=ui),tl=r(e),ll=s(e,"HR",{}),il=r(e),ve=s(e,"A",{id:!0,class:!0}),u(ve).forEach(l),ol=r(e),p(ye.$$.fragment,e),rl=r(e),Te=s(e,"P",{"data-svelte-h":!0}),c(Te)!=="svelte-zerxn5"&&(Te.innerHTML=ni),dl=r(e),$e=s(e,"TABLE",{"data-svelte-h":!0}),c($e)!=="svelte-18944ut"&&($e.innerHTML=pi),sl=r(e),cl=s(e,"HR",{}),al=r(e),xe=s(e,"A",{id:!0,class:!0}),u(xe).forEach(l),ul=r(e),p(_e.$$.fragment,e),nl=r(e),ge=s(e,"P",{"data-svelte-h":!0}),c(ge)!=="svelte-vao8dt"&&(ge.innerHTML=fi),pl=r(e),He=s(e,"P",{"data-svelte-h":!0}),c(He)!=="svelte-1to55la"&&(He.innerHTML=mi),fl=r(e),Le=s(e,"TABLE",{"data-svelte-h":!0}),c(Le)!=="svelte-5bfh4"&&(Le.innerHTML=hi),ml=r(e),hl=s(e,"HR",{}),bl=r(e),Ce=s(e,"A",{id:!0,class:!0}),u(Ce).forEach(l),vl=r(e),p(Me.$$.fragment,e),yl=r(e),Ae=s(e,"P",{"data-svelte-h":!0}),c(Ae)!=="svelte-4ugn5b"&&(Ae.innerHTML=bi),Tl=r(e),Pe=s(e,"TABLE",{"data-svelte-h":!0}),c(Pe)!=="svelte-1exuh0m"&&(Pe.innerHTML=vi),$l=r(e),xl=s(e,"HR",{}),_l=r(e),we=s(e,"A",{id:!0,class:!0}),u(we).forEach(l),gl=r(e),p(ke.$$.fragment,e),Hl=r(e),je=s(e,"P",{"data-svelte-h":!0}),c(je)!=="svelte-3cbgzb"&&(je.textContent=yi),Ll=r(e),Ee=s(e,"P",{"data-svelte-h":!0}),c(Ee)!=="svelte-17rxdax"&&(Ee.innerHTML=Ti),Cl=r(e),Re=s(e,"TABLE",{"data-svelte-h":!0}),c(Re)!=="svelte-180ypss"&&(Re.innerHTML=$i),Ml=r(e),Al=s(e,"HR",{}),Pl=r(e),p(De.$$.fragment,e),wl=r(e),Be=s(e,"P",{}),u(Be).forEach(l),this.h()},h(){a(y,"name","hf:doc:metadata"),a(y,"content",wi),a(T,"id","module_utils/core"),a(T,"class","group"),a(H,"id","module_utils/core.reverseDictionary"),a(H,"class","group"),a(P,"id","module_utils/core.escapeRegExp"),a(P,"class","group"),a(R,"id","module_utils/core.isTypedArray"),a(R,"class","group"),a(N,"id","module_utils/core.isIntegralNumber"),a(N,"class","group"),a(U,"id","module_utils/core.isNullishDimension"),a(U,"class","group"),a(W,"id","module_utils/core.calculateDimensions"),a(W,"class","group"),a(te,"id","module_utils/core.pop"),a(te,"class","group"),a(se,"id","module_utils/core.mergeArrays"),a(se,"class","group"),a(pe,"id","module_utils/core.calculateReflectOffset"),a(pe,"class","group"),a(ve,"id","module_utils/core.pick"),a(ve,"class","group"),a(xe,"id","module_utils/core.len"),a(xe,"class","group"),a(Ce,"id","module_utils/core..ProgressInfo"),a(Ce,"class","group"),a(we,"id","module_utils/core..ProgressCallback"),a(we,"class","group")},m(e,t){Mi(document.head,y),i(e,Ie,t),i(e,Oe,t),i(e,Ke,t),i(e,T,t),i(e,Ne,t),f($,e,t),i(e,ze,t),i(e,x,t),i(e,qe,t),i(e,_,t),i(e,Se,t),i(e,g,t),i(e,Ve,t),i(e,Ue,t),i(e,Ge,t),i(e,H,t),i(e,Fe,t),f(L,e,t),i(e,Je,t),i(e,C,t),i(e,Qe,t),i(e,M,t),i(e,We,t),i(e,A,t),i(e,Xe,t),i(e,Ye,t),i(e,Ze,t),i(e,P,t),i(e,et,t),f(w,e,t),i(e,tt,t),i(e,k,t),i(e,lt,t),i(e,j,t),i(e,it,t),i(e,E,t),i(e,ot,t),i(e,rt,t),i(e,dt,t),i(e,R,t),i(e,st,t),f(D,e,t),i(e,ct,t),i(e,O,t),i(e,at,t),i(e,B,t),i(e,ut,t),i(e,I,t),i(e,nt,t),i(e,K,t),i(e,pt,t),i(e,ft,t),i(e,mt,t),i(e,N,t),i(e,ht,t),f(z,e,t),i(e,bt,t),i(e,q,t),i(e,vt,t),i(e,S,t),i(e,yt,t),i(e,V,t),i(e,Tt,t),i(e,$t,t),i(e,xt,t),i(e,U,t),i(e,_t,t),f(G,e,t),i(e,gt,t),i(e,F,t),i(e,Ht,t),i(e,J,t),i(e,Lt,t),i(e,Q,t),i(e,Ct,t),i(e,Mt,t),i(e,At,t),i(e,W,t),i(e,Pt,t),f(X,e,t),i(e,wt,t),i(e,Y,t),i(e,kt,t),i(e,Z,t),i(e,jt,t),i(e,ee,t),i(e,Et,t),i(e,Rt,t),i(e,Dt,t),i(e,te,t),i(e,Ot,t),f(le,e,t),i(e,Bt,t),i(e,ie,t),i(e,It,t),i(e,oe,t),i(e,Kt,t),i(e,re,t),i(e,Nt,t),i(e,de,t),i(e,zt,t),i(e,qt,t),i(e,St,t),i(e,se,t),i(e,Vt,t),f(ce,e,t),i(e,Ut,t),i(e,ae,t),i(e,Gt,t),i(e,ue,t),i(e,Ft,t),i(e,ne,t),i(e,Jt,t),i(e,Qt,t),i(e,Wt,t),i(e,pe,t),i(e,Xt,t),f(fe,e,t),i(e,Yt,t),i(e,me,t),i(e,Zt,t),i(e,he,t),i(e,el,t),i(e,be,t),i(e,tl,t),i(e,ll,t),i(e,il,t),i(e,ve,t),i(e,ol,t),f(ye,e,t),i(e,rl,t),i(e,Te,t),i(e,dl,t),i(e,$e,t),i(e,sl,t),i(e,cl,t),i(e,al,t),i(e,xe,t),i(e,ul,t),f(_e,e,t),i(e,nl,t),i(e,ge,t),i(e,pl,t),i(e,He,t),i(e,fl,t),i(e,Le,t),i(e,ml,t),i(e,hl,t),i(e,bl,t),i(e,Ce,t),i(e,vl,t),f(Me,e,t),i(e,yl,t),i(e,Ae,t),i(e,Tl,t),i(e,Pe,t),i(e,$l,t),i(e,xl,t),i(e,_l,t),i(e,we,t),i(e,gl,t),f(ke,e,t),i(e,Hl,t),i(e,je,t),i(e,Ll,t),i(e,Ee,t),i(e,Cl,t),i(e,Re,t),i(e,Ml,t),i(e,Al,t),i(e,Pl,t),f(De,e,t),i(e,wl,t),i(e,Be,t),kl=!0},p:_i,i(e){kl||(m($.$$.fragment,e),m(L.$$.fragment,e),m(w.$$.fragment,e),m(D.$$.fragment,e),m(z.$$.fragment,e),m(G.$$.fragment,e),m(X.$$.fragment,e),m(le.$$.fragment,e),m(ce.$$.fragment,e),m(fe.$$.fragment,e),m(ye.$$.fragment,e),m(_e.$$.fragment,e),m(Me.$$.fragment,e),m(ke.$$.fragment,e),m(De.$$.fragment,e),kl=!0)},o(e){h($.$$.fragment,e),h(L.$$.fragment,e),h(w.$$.fragment,e),h(D.$$.fragment,e),h(z.$$.fragment,e),h(G.$$.fragment,e),h(X.$$.fragment,e),h(le.$$.fragment,e),h(ce.$$.fragment,e),h(fe.$$.fragment,e),h(ye.$$.fragment,e),h(_e.$$.fragment,e),h(Me.$$.fragment,e),h(ke.$$.fragment,e),h(De.$$.fragment,e),kl=!1},d(e){e&&(l(Ie),l(Oe),l(Ke),l(T),l(Ne),l(ze),l(x),l(qe),l(_),l(Se),l(g),l(Ve),l(Ue),l(Ge),l(H),l(Fe),l(Je),l(C),l(Qe),l(M),l(We),l(A),l(Xe),l(Ye),l(Ze),l(P),l(et),l(tt),l(k),l(lt),l(j),l(it),l(E),l(ot),l(rt),l(dt),l(R),l(st),l(ct),l(O),l(at),l(B),l(ut),l(I),l(nt),l(K),l(pt),l(ft),l(mt),l(N),l(ht),l(bt),l(q),l(vt),l(S),l(yt),l(V),l(Tt),l($t),l(xt),l(U),l(_t),l(gt),l(F),l(Ht),l(J),l(Lt),l(Q),l(Ct),l(Mt),l(At),l(W),l(Pt),l(wt),l(Y),l(kt),l(Z),l(jt),l(ee),l(Et),l(Rt),l(Dt),l(te),l(Ot),l(Bt),l(ie),l(It),l(oe),l(Kt),l(re),l(Nt),l(de),l(zt),l(qt),l(St),l(se),l(Vt),l(Ut),l(ae),l(Gt),l(ue),l(Ft),l(ne),l(Jt),l(Qt),l(Wt),l(pe),l(Xt),l(Yt),l(me),l(Zt),l(he),l(el),l(be),l(tl),l(ll),l(il),l(ve),l(ol),l(rl),l(Te),l(dl),l($e),l(sl),l(cl),l(al),l(xe),l(ul),l(nl),l(ge),l(pl),l(He),l(fl),l(Le),l(ml),l(hl),l(bl),l(Ce),l(vl),l(yl),l(Ae),l(Tl),l(Pe),l($l),l(xl),l(_l),l(we),l(gl),l(Hl),l(je),l(Ll),l(Ee),l(Cl),l(Re),l(Ml),l(Al),l(Pl),l(wl),l(Be)),l(y),b($,e),b(L,e),b(w,e),b(D,e),b(z,e),b(G,e),b(X,e),b(le,e),b(ce,e),b(fe,e),b(ye,e),b(_e,e),b(Me,e),b(ke,e),b(De,e)}}}const wi='{"title":"utils/core","local":"utilscore","sections":[{"title":"utils/core.reverseDictionary(data) ⇒ <code> Object </code>","local":"utilscorereversedictionarydata--code-object-code","sections":[],"depth":2},{"title":"utils/core.escapeRegExp(string) ⇒ <code> string </code>","local":"utilscoreescaperegexpstring--code-string-code","sections":[],"depth":2},{"title":"utils/core.isTypedArray(val) ⇒ <code> boolean </code>","local":"utilscoreistypedarrayval--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.isIntegralNumber(x) ⇒ <code> boolean </code>","local":"utilscoreisintegralnumberx--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.isNullishDimension(x) ⇒ <code> boolean </code>","local":"utilscoreisnullishdimensionx--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.calculateDimensions(arr) ⇒ <code> Array. < number > </code>","local":"utilscorecalculatedimensionsarr--code-array--number--code","sections":[],"depth":2},{"title":"utils/core.pop(obj, key, defaultValue) ⇒ <code> * </code>","local":"utilscorepopobj-key-defaultvalue--code--code","sections":[],"depth":2},{"title":"utils/core.mergeArrays(arrs) ⇒ <code> Array </code>","local":"utilscoremergearraysarrs--code-array-code","sections":[],"depth":2},{"title":"utils/core.calculateReflectOffset(i, w) ⇒ <code> number </code>","local":"utilscorecalculatereflectoffseti-w--code-number-code","sections":[],"depth":2},{"title":"utils/core.pick(o, props) ⇒ <code> Object </code>","local":"utilscorepicko-props--code-object-code","sections":[],"depth":2},{"title":"utils/core.len(s) ⇒ <code> number </code>","local":"utilscorelens--code-number-code","sections":[],"depth":2},{"title":"utils/core~ProgressInfo : <code> Object </code>","local":"utilscoreprogressinfo--code-object-code","sections":[],"depth":2},{"title":"utils/core~ProgressCallback ⇒ <code> void </code>","local":"utilscoreprogresscallback--code-void-code","sections":[],"depth":2}],"depth":1}';function ki(jl){return gi(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Di extends Hi{constructor(y){super(),Li(this,y,ki,Pi,xi,{})}}export{Di as component};
